<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>SlideShow (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="SlideShow (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":6,"i1":6,"i2":6,"i3":6,"i4":6,"i5":6,"i6":6,"i7":6,"i8":6,"i9":6,"i10":6,"i11":6,"i12":6,"i13":6,"i14":6};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],4:["t3","Abstract Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/SlideShow.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/sl/usermodel/Slide.html"
               title="interface in org.apache.poi.sl.usermodel"><span class="typeNameLink">Prev&nbsp;Class</span></a>
        </li>
        <li><a href="../../../../../org/apache/poi/sl/usermodel/SlideShowFactory.html"
               title="class in org.apache.poi.sl.usermodel"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/sl/usermodel/SlideShow.html" target="_top">Frames</a></li>
        <li><a href="SlideShow.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li>Constr&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li>Constr&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
    <div class="subTitle">org.apache.poi.sl.usermodel</div>
    <h2 title="Interface SlideShow" class="title">Interface SlideShow&lt;S extends <a
            href="../../../../../org/apache/poi/sl/usermodel/Shape.html"
            title="interface in org.apache.poi.sl.usermodel">Shape</a>&lt;S,P&gt;,P extends <a
            href="../../../../../org/apache/poi/sl/usermodel/TextParagraph.html"
            title="interface in org.apache.poi.sl.usermodel">TextParagraph</a>&lt;S,P,? extends <a
            href="../../../../../org/apache/poi/sl/usermodel/TextRun.html"
            title="interface in org.apache.poi.sl.usermodel">TextRun</a>&gt;&gt;</h2>
</div>
<div class="contentContainer">
    <div class="description">
        <ul class="blockList">
            <li class="blockList">
                <dl>
                    <dt>All Superinterfaces:</dt>
                    <dd>java.lang.AutoCloseable, java.io.Closeable</dd>
                </dl>
                <dl>
                    <dt>All Known Implementing Classes:</dt>
                    <dd><a href="../../../../../org/apache/poi/hslf/usermodel/HSLFSlideShow.html"
                           title="class in org.apache.poi.hslf.usermodel">HSLFSlideShow</a>, <a
                            href="../../../../../org/apache/poi/xslf/usermodel/XMLSlideShow.html"
                            title="class in org.apache.poi.xslf.usermodel">XMLSlideShow</a></dd>
                </dl>
                <hr>
                <br>
                <pre>public interface <span class="typeNameLabel">SlideShow&lt;S extends <a
                        href="../../../../../org/apache/poi/sl/usermodel/Shape.html"
                        title="interface in org.apache.poi.sl.usermodel">Shape</a>&lt;S,P&gt;,P extends <a
                        href="../../../../../org/apache/poi/sl/usermodel/TextParagraph.html"
                        title="interface in org.apache.poi.sl.usermodel">TextParagraph</a>&lt;S,P,? extends <a
                        href="../../../../../org/apache/poi/sl/usermodel/TextRun.html"
                        title="interface in org.apache.poi.sl.usermodel">TextRun</a>&gt;&gt;</span>
extends java.io.Closeable</pre>
            </li>
        </ul>
    </div>
    <div class="summary">
        <ul class="blockList">
            <li class="blockList">
                <!-- ========== METHOD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.summary">
                        <!--   -->
                    </a>
                        <h3>Method Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Method Summary table, listing methods, and an explanation">
                            <caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span
                                    id="t2" class="tableTab"><span><a
                                    href="javascript:show(2);">Instance Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t3" class="tableTab"><span><a
                                    href="javascript:show(4);">Abstract Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Method and Description</th>
                            </tr>
                            <tr id="i0" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/sl/usermodel/PictureData.html"
                                        title="interface in org.apache.poi.sl.usermodel">PictureData</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/sl/usermodel/SlideShow.html#addPicture-byte:A-org.apache.poi.sl.usermodel.PictureData.PictureType-">addPicture</a></span>(byte[]&nbsp;pictureData,
                                    <a href="../../../../../org/apache/poi/sl/usermodel/PictureData.PictureType.html"
                                       title="enum in org.apache.poi.sl.usermodel">PictureData.PictureType</a>&nbsp;format)</code>
                                    <div class="block">Adds a picture to the presentation.</div>
                                </td>
                            </tr>
                            <tr id="i1" class="rowColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/sl/usermodel/PictureData.html"
                                        title="interface in org.apache.poi.sl.usermodel">PictureData</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/sl/usermodel/SlideShow.html#addPicture-java.io.File-org.apache.poi.sl.usermodel.PictureData.PictureType-">addPicture</a></span>(java.io.File&nbsp;pict,
                                    <a href="../../../../../org/apache/poi/sl/usermodel/PictureData.PictureType.html"
                                       title="enum in org.apache.poi.sl.usermodel">PictureData.PictureType</a>&nbsp;format)</code>
                                    <div class="block">Adds a picture to the presentation.</div>
                                </td>
                            </tr>
                            <tr id="i2" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/sl/usermodel/PictureData.html"
                                        title="interface in org.apache.poi.sl.usermodel">PictureData</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/sl/usermodel/SlideShow.html#addPicture-java.io.InputStream-org.apache.poi.sl.usermodel.PictureData.PictureType-">addPicture</a></span>(java.io.InputStream&nbsp;is,
                                    <a href="../../../../../org/apache/poi/sl/usermodel/PictureData.PictureType.html"
                                       title="enum in org.apache.poi.sl.usermodel">PictureData.PictureType</a>&nbsp;format)</code>
                                    <div class="block">Adds a picture to the presentation.</div>
                                </td>
                            </tr>
                            <tr id="i3" class="rowColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/sl/usermodel/MasterSheet.html"
                                        title="interface in org.apache.poi.sl.usermodel">MasterSheet</a>&lt;<a
                                        href="../../../../../org/apache/poi/sl/usermodel/SlideShow.html"
                                        title="type parameter in SlideShow">S</a>,<a
                                        href="../../../../../org/apache/poi/sl/usermodel/SlideShow.html"
                                        title="type parameter in SlideShow">P</a>&gt;</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/sl/usermodel/SlideShow.html#createMasterSheet--">createMasterSheet</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i4" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/sl/usermodel/Slide.html"
                                        title="interface in org.apache.poi.sl.usermodel">Slide</a>&lt;<a
                                        href="../../../../../org/apache/poi/sl/usermodel/SlideShow.html"
                                        title="type parameter in SlideShow">S</a>,<a
                                        href="../../../../../org/apache/poi/sl/usermodel/SlideShow.html"
                                        title="type parameter in SlideShow">P</a>&gt;</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/sl/usermodel/SlideShow.html#createSlide--">createSlide</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i5" class="rowColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/sl/usermodel/PictureData.html"
                                        title="interface in org.apache.poi.sl.usermodel">PictureData</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/sl/usermodel/SlideShow.html#findPictureData-byte:A-">findPictureData</a></span>(byte[]&nbsp;pictureData)</code>
                                    <div class="block">check if a picture with this picture data already exists in this
                                        presentation
                                    </div>
                                </td>
                            </tr>
                            <tr id="i6" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/extractor/POITextExtractor.html"
                                        title="class in org.apache.poi.extractor">POITextExtractor</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/sl/usermodel/SlideShow.html#getMetadataTextExtractor--">getMetadataTextExtractor</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i7" class="rowColor">
                                <td class="colFirst"><code>java.awt.Dimension</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/sl/usermodel/SlideShow.html#getPageSize--">getPageSize</a></span>()</code>
                                    <div class="block">Returns the current page size</div>
                                </td>
                            </tr>
                            <tr id="i8" class="altColor">
                                <td class="colFirst"><code>java.lang.Object</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/sl/usermodel/SlideShow.html#getPersistDocument--">getPersistDocument</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i9" class="rowColor">
                                <td class="colFirst"><code>java.util.List&lt;? extends <a
                                        href="../../../../../org/apache/poi/sl/usermodel/PictureData.html"
                                        title="interface in org.apache.poi.sl.usermodel">PictureData</a>&gt;</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/sl/usermodel/SlideShow.html#getPictureData--">getPictureData</a></span>()</code>
                                    <div class="block">Returns all Pictures of this slideshow.</div>
                                </td>
                            </tr>
                            <tr id="i10" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/sl/usermodel/Resources.html"
                                        title="interface in org.apache.poi.sl.usermodel">Resources</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/sl/usermodel/SlideShow.html#getResources--">getResources</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i11" class="rowColor">
                                <td class="colFirst"><code>java.util.List&lt;? extends <a
                                        href="../../../../../org/apache/poi/sl/usermodel/MasterSheet.html"
                                        title="interface in org.apache.poi.sl.usermodel">MasterSheet</a>&lt;<a
                                        href="../../../../../org/apache/poi/sl/usermodel/SlideShow.html"
                                        title="type parameter in SlideShow">S</a>,<a
                                        href="../../../../../org/apache/poi/sl/usermodel/SlideShow.html"
                                        title="type parameter in SlideShow">P</a>&gt;&gt;</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/sl/usermodel/SlideShow.html#getSlideMasters--">getSlideMasters</a></span>()</code>
                                    <div class="block">Returns all slide masters.</div>
                                </td>
                            </tr>
                            <tr id="i12" class="altColor">
                                <td class="colFirst"><code>java.util.List&lt;? extends <a
                                        href="../../../../../org/apache/poi/sl/usermodel/Slide.html"
                                        title="interface in org.apache.poi.sl.usermodel">Slide</a>&lt;<a
                                        href="../../../../../org/apache/poi/sl/usermodel/SlideShow.html"
                                        title="type parameter in SlideShow">S</a>,<a
                                        href="../../../../../org/apache/poi/sl/usermodel/SlideShow.html"
                                        title="type parameter in SlideShow">P</a>&gt;&gt;</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/sl/usermodel/SlideShow.html#getSlides--">getSlides</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i13" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/sl/usermodel/SlideShow.html#setPageSize-java.awt.Dimension-">setPageSize</a></span>(java.awt.Dimension&nbsp;pgsize)</code>
                                    <div class="block">Change the current page size</div>
                                </td>
                            </tr>
                            <tr id="i14" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/sl/usermodel/SlideShow.html#write-java.io.OutputStream-">write</a></span>(java.io.OutputStream&nbsp;out)</code>
                                    <div class="block">Writes out the slideshow file the is represented by an instance
                                        of this
                                        class
                                    </div>
                                </td>
                            </tr>
                        </table>
                        <ul class="blockList">
                            <li class="blockList"><a name="methods.inherited.from.class.java.io.Closeable">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from interface&nbsp;java.io.Closeable</h3>
                                <code>close</code></li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
    <div class="details">
        <ul class="blockList">
            <li class="blockList">
                <!-- ============ METHOD DETAIL ========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.detail">
                        <!--   -->
                    </a>
                        <h3>Method Detail</h3>
                        <a name="createSlide--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>createSlide</h4>
                                <pre><a href="../../../../../org/apache/poi/sl/usermodel/Slide.html"
                                        title="interface in org.apache.poi.sl.usermodel">Slide</a>&lt;<a
                                        href="../../../../../org/apache/poi/sl/usermodel/SlideShow.html"
                                        title="type parameter in SlideShow">S</a>,<a
                                        href="../../../../../org/apache/poi/sl/usermodel/SlideShow.html"
                                        title="type parameter in SlideShow">P</a>&gt;&nbsp;createSlide()
                throws java.io.IOException</pre>
                                <dl>
                                    <dt><span class="throwsLabel">Throws:</span></dt>
                                    <dd><code>java.io.IOException</code></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getSlides--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getSlides</h4>
                                <pre>java.util.List&lt;? extends <a
                                        href="../../../../../org/apache/poi/sl/usermodel/Slide.html"
                                        title="interface in org.apache.poi.sl.usermodel">Slide</a>&lt;<a
                                        href="../../../../../org/apache/poi/sl/usermodel/SlideShow.html"
                                        title="type parameter in SlideShow">S</a>,<a
                                        href="../../../../../org/apache/poi/sl/usermodel/SlideShow.html"
                                        title="type parameter in SlideShow">P</a>&gt;&gt;&nbsp;getSlides()</pre>
                            </li>
                        </ul>
                        <a name="createMasterSheet--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>createMasterSheet</h4>
                                <pre><a href="../../../../../org/apache/poi/sl/usermodel/MasterSheet.html"
                                        title="interface in org.apache.poi.sl.usermodel">MasterSheet</a>&lt;<a
                                        href="../../../../../org/apache/poi/sl/usermodel/SlideShow.html"
                                        title="type parameter in SlideShow">S</a>,<a
                                        href="../../../../../org/apache/poi/sl/usermodel/SlideShow.html"
                                        title="type parameter in SlideShow">P</a>&gt;&nbsp;createMasterSheet()
                            throws java.io.IOException</pre>
                                <dl>
                                    <dt><span class="throwsLabel">Throws:</span></dt>
                                    <dd><code>java.io.IOException</code></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getSlideMasters--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getSlideMasters</h4>
                                <pre>java.util.List&lt;? extends <a
                                        href="../../../../../org/apache/poi/sl/usermodel/MasterSheet.html"
                                        title="interface in org.apache.poi.sl.usermodel">MasterSheet</a>&lt;<a
                                        href="../../../../../org/apache/poi/sl/usermodel/SlideShow.html"
                                        title="type parameter in SlideShow">S</a>,<a
                                        href="../../../../../org/apache/poi/sl/usermodel/SlideShow.html"
                                        title="type parameter in SlideShow">P</a>&gt;&gt;&nbsp;getSlideMasters()</pre>
                                <div class="block">Returns all slide masters.
                                    This doesn't include notes master and other arbitrary masters.
                                </div>
                            </li>
                        </ul>
                        <a name="getResources--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getResources</h4>
                                <pre><a href="../../../../../org/apache/poi/sl/usermodel/Resources.html"
                                        title="interface in org.apache.poi.sl.usermodel">Resources</a>&nbsp;getResources()</pre>
                            </li>
                        </ul>
                        <a name="getPageSize--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getPageSize</h4>
                                <pre>java.awt.Dimension&nbsp;getPageSize()</pre>
                                <div class="block">Returns the current page size</div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the page size</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setPageSize-java.awt.Dimension-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setPageSize</h4>
                                <pre>void&nbsp;setPageSize(java.awt.Dimension&nbsp;pgsize)</pre>
                                <div class="block">Change the current page size</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>pgsize</code> - page size (in points)</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getPictureData--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getPictureData</h4>
                                <pre>java.util.List&lt;? extends <a
                                        href="../../../../../org/apache/poi/sl/usermodel/PictureData.html"
                                        title="interface in org.apache.poi.sl.usermodel">PictureData</a>&gt;&nbsp;getPictureData()</pre>
                                <div class="block">Returns all Pictures of this slideshow.
                                    The returned <code>List</code> is unmodifiable.
                                </div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>a <code>List</code> of <a
                                            href="../../../../../org/apache/poi/sl/usermodel/PictureData.html"
                                            title="interface in org.apache.poi.sl.usermodel"><code>PictureData</code></a>.
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="addPicture-byte:A-org.apache.poi.sl.usermodel.PictureData.PictureType-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>addPicture</h4>
                                <pre><a href="../../../../../org/apache/poi/sl/usermodel/PictureData.html"
                                        title="interface in org.apache.poi.sl.usermodel">PictureData</a>&nbsp;addPicture(byte[]&nbsp;pictureData,
                       <a href="../../../../../org/apache/poi/sl/usermodel/PictureData.PictureType.html"
                          title="enum in org.apache.poi.sl.usermodel">PictureData.PictureType</a>&nbsp;format)
                throws java.io.IOException</pre>
                                <div class="block">Adds a picture to the presentation.</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>pictureData</code> - The bytes of the picture</dd>
                                    <dd><code>format</code> - The format of the picture.</dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the picture data reference.</dd>
                                    <dt><span class="throwsLabel">Throws:</span></dt>
                                    <dd><code>java.io.IOException</code></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="addPicture-java.io.InputStream-org.apache.poi.sl.usermodel.PictureData.PictureType-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>addPicture</h4>
                                <pre><a href="../../../../../org/apache/poi/sl/usermodel/PictureData.html"
                                        title="interface in org.apache.poi.sl.usermodel">PictureData</a>&nbsp;addPicture(java.io.InputStream&nbsp;is,
                       <a href="../../../../../org/apache/poi/sl/usermodel/PictureData.PictureType.html"
                          title="enum in org.apache.poi.sl.usermodel">PictureData.PictureType</a>&nbsp;format)
                throws java.io.IOException</pre>
                                <div class="block">Adds a picture to the presentation.</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>is</code> - The stream to read the image from</dd>
                                    <dd><code>format</code> - The format of the picture.</dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the picture data reference.</dd>
                                    <dt><span class="throwsLabel">Throws:</span></dt>
                                    <dd><code>java.io.IOException</code></dd>
                                    <dt><span class="simpleTagLabel">Since:</span></dt>
                                    <dd>3.15 beta 1</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="addPicture-java.io.File-org.apache.poi.sl.usermodel.PictureData.PictureType-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>addPicture</h4>
                                <pre><a href="../../../../../org/apache/poi/sl/usermodel/PictureData.html"
                                        title="interface in org.apache.poi.sl.usermodel">PictureData</a>&nbsp;addPicture(java.io.File&nbsp;pict,
                       <a href="../../../../../org/apache/poi/sl/usermodel/PictureData.PictureType.html"
                          title="enum in org.apache.poi.sl.usermodel">PictureData.PictureType</a>&nbsp;format)
                throws java.io.IOException</pre>
                                <div class="block">Adds a picture to the presentation.</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>pict</code> - The file containing the image to add</dd>
                                    <dd><code>format</code> - The format of the picture.</dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the picture data reference</dd>
                                    <dt><span class="throwsLabel">Throws:</span></dt>
                                    <dd><code>java.io.IOException</code></dd>
                                    <dt><span class="simpleTagLabel">Since:</span></dt>
                                    <dd>3.15 beta 1</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="findPictureData-byte:A-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>findPictureData</h4>
                                <pre><a href="../../../../../org/apache/poi/sl/usermodel/PictureData.html"
                                        title="interface in org.apache.poi.sl.usermodel">PictureData</a>&nbsp;findPictureData(byte[]&nbsp;pictureData)</pre>
                                <div class="block">check if a picture with this picture data already exists in this
                                    presentation
                                </div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>pictureData</code> - The picture data to find in the SlideShow</dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd><code>null</code> if picture data is not found in this slideshow</dd>
                                    <dt><span class="simpleTagLabel">Since:</span></dt>
                                    <dd>3.15 beta 3</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="write-java.io.OutputStream-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>write</h4>
                                <pre>void&nbsp;write(java.io.OutputStream&nbsp;out)
    throws java.io.IOException</pre>
                                <div class="block">Writes out the slideshow file the is represented by an instance of
                                    this
                                    class
                                </div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>out</code> - The OutputStream to write to.</dd>
                                    <dt><span class="throwsLabel">Throws:</span></dt>
                                    <dd><code>java.io.IOException</code> - If there is an unexpected IOException from
                                        the passed in
                                        OutputStream
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getMetadataTextExtractor--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getMetadataTextExtractor</h4>
                                <pre><a href="../../../../../org/apache/poi/extractor/POITextExtractor.html"
                                        title="class in org.apache.poi.extractor">POITextExtractor</a>&nbsp;getMetadataTextExtractor()</pre>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>an extractor for the slideshow metadata</dd>
                                    <dt><span class="simpleTagLabel">Since:</span></dt>
                                    <dd>POI 4.0.0</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getPersistDocument--">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>getPersistDocument</h4>
                                <pre>java.lang.Object&nbsp;getPersistDocument()</pre>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the instance which handles the persisting of the slideshow,
                                        which is either a subclass of <a
                                                href="../../../../../org/apache/poi/POIDocument.html"
                                                title="class in org.apache.poi"><code>POIDocument</code></a>
                                        or <a href="../../../../../org/apache/poi/ooxml/POIXMLDocument.html"
                                              title="class in org.apache.poi.ooxml"><code>POIXMLDocument</code></a></dd>
                                    <dt><span class="simpleTagLabel">Since:</span></dt>
                                    <dd>POI 4.0.0</dd>
                                </dl>
                            </li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/SlideShow.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/sl/usermodel/Slide.html"
               title="interface in org.apache.poi.sl.usermodel"><span class="typeNameLink">Prev&nbsp;Class</span></a>
        </li>
        <li><a href="../../../../../org/apache/poi/sl/usermodel/SlideShowFactory.html"
               title="class in org.apache.poi.sl.usermodel"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/sl/usermodel/SlideShow.html" target="_top">Frames</a></li>
        <li><a href="SlideShow.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li>Constr&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li>Constr&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
